# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'salesforce_client_app/version'
require 'salesforce_client_app/cli'

Gem::Specification.new do |spec|
  spec.name          = "salesforce_client_app"
  spec.version       = SalesforceClientApp::VERSION
  spec.authors       = ["KAWANO Shinobu"]
  spec.email         = ["kawanoshinobu@gmail.com"]
  spec.summary       = "A simple Sinatra app which is integrated with Force.com and some of its API."
  spec.description   = "This gem aims for the example of Sencha app."
  spec.homepage      = "https://github.com/kawanoshinobu/salesforce_client_app"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "sinatra"
  spec.add_dependency "sinatra-contrib"
  spec.add_dependency "foreman"
  spec.add_dependency "omniauth-salesforce"
  spec.add_dependency "certified"
  spec.add_dependency "force"
  spec.add_dependency "thor"
  spec.add_dependency "pry"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
